Skip to main content

Overview

The Groups is a Component, showcasing an accessible list of all available groups. It provides an integral search functionality, allowing you to locate any specific groups swiftly and easily. For each group listed, the group name is displayed by default, in conjunction with the group icon when available. Additionally, it provides a useful feature by displaying the number of members in each group as a subtitle, offering valuable context about group size and activity level.
The Groups component is composed of the following BaseComponents:
ComponentsDescription
CometChatListA reusable container component having title, search box, customisable background and a list view.
CometChatListItemA component that renders data obtained from a Group object on a Tile having a title, subtitle, leading and trailing view.

Usage

Integration

The following code snippet illustrates how you can directly incorporate the Groups component into your Application.
import { CometChatGroups } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  return <CometChatGroups />;
};

export default GroupsDemo;

Actions

Actions dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.
1. onSelect
The onSelect action is activated when you select the done icon while in selection mode. This returns the group object along with the boolean flag selected to indicate if the group was selected or unselected. This action does not come with any predefined behavior. However, you have the flexibility to override this event and tailor it to suit your needs using the following code snippet.
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatGroups, SelectionMode } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  function handleOnSelect(group: CometChat.Group, selected: boolean): void {
    console.log(group);
    //your custom onSelect actions
  }
  return (
    <CometChatGroups
      selectionMode={SelectionMode.multiple}
      onSelect={handleOnSelect}
    />
  );
};

export default GroupsDemo;
2. onItemClick
The onItemClick event is activated when you click on the Group List item. This action does not come with any predefined behavior. However, you have the flexibility to override this event and tailor it to suit your needs using the following code snippet.
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatGroups } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  function handleOnItemClick(group: CometChat.Group): void {
    console.log(group, "your custom on item click action");
  }
  return <CometChatGroups onItemClick={handleOnItemClick} />;
};

export default GroupsDemo;
3. onError
This action doesn’t change the behavior of the component but rather listens for any errors that occur in the Groups component.
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatGroups } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  const handleOnError = (error: CometChat.CometChatException) => {
    console.log("Your custom on error actions");
  };
  return <CometChatGroups onError={handleOnError} />;
};

export default GroupsDemo;

Filters

Filters allow you to customize the data displayed in a list within a Component. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using RequestBuilders of Chat SDK.
1. GroupsRequestBuilder
The GroupsRequestBuilder enables you to filter and customize the group list based on available parameters in GroupsRequestBuilder. This feature allows you to create more specific and targeted queries when fetching groups. The following are the parameters available in GroupsRequestBuilder
MethodsTypeDescription
setLimitnumbersets the number groups that can be fetched in a single request, suitable for pagination
setSearchKeywordStringused for fetching groups matching the passed string
joinedOnlybooleanto fetch only joined groups.
setTagsArray<String>used for fetching groups containing the passed tags
withTagsbooleanused to fetch tags data along with the list of groups
Example In the example below, we are applying a filter to the Group List based on only joined groups and setting the limit to two.
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatGroups } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  return (
    <CometChatGroups
      groupsRequestBuilder={new CometChat.GroupsRequestBuilder()
        .setLimit(2)
        .joinedOnly(true)}
    />
  );
};

export default GroupsDemo;
2. SearchRequestBuilder
The SearchRequestBuilder uses GroupsRequestBuilder enables you to filter and customize the search list based on available parameters in GroupsRequestBuilder. This feature allows you to keep uniformity between the displayed Groups List and searched Group List. Example
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatGroups } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  return (
    <CometChatGroups
      searchRequestBuilder={new CometChat.GroupsRequestBuilder()
        .setLimit(2)
        .setSearchKeyword("your keyword")}
    />
  );
};

export default GroupsDemo;

Events

Events are emitted by a Component. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed. To handle events supported by Groups you have to add corresponding listeners by using CometChatGroupEvents The Groups component does not produce any events directly.

Customization

To fit your app’s design requirements, you can customize the appearance of the Groups component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

Style

Using CSS you can customize the look and feel of the component in your app like the color, size, shape, and fonts. Example
import { CometChatGroups } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  return <CometChatGroups />;
};

export default GroupsDemo;

Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.
import { CometChatGroups, TitleAlignment } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  return (
    <CometChatGroups
      title="Your Custom Title"
      titleAlignment={TitleAlignment.center}
      hideSearch={true}
    />
  );
};

export default GroupsDemo;
Below is a list of customizations along with corresponding code snippets:
PropertyDescriptionCode
Hide SearchHides the default search bar.hideSearch={true}
Hide ErrorHides the default and custom error view passed in errorView prop.hideError={true}
Hide Group TypeHides the group type icon.hideGroupType={true}
Active GroupThe group to highlight in the list.activeGroup={chatGroup}
Selection ModeSelection mode to use for the default trailing view.selectionMode={SelectionMode.multiple}
Show ScrollbarControls the visibility of the scrollbar in the list.showScrollbar={true}
Loading ViewA custom view to display during the loading state.loadingView={<>Custom Loading View</>}
Empty ViewCustom view for the empty state of the component.emptyView={<>Custom Empty View</>}
Error ViewA custom view to display when an error occurs.errorView={<>Custom Error View</>}

Advanced

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

ItemView

A custom view to render for each group in the fetched list. Shown below is the default chat interface.
The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatGroups } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  const getItemView = (group: CometChat.Group) => {
    return (
      <div className="group-list-item">
        <div className="group-list-item__title-wrapper">
          <div className="group-list-item__title">{group.getName()}</div>
          <div className="group-list-item__tail">JOIN</div>
        </div>
        <div className="group-list-item__subtitle">
          {group.getMembersCount()} Members • {group.getDescription()}
        </div>
      </div>
    );
  };

  return <CometChatGroups itemView={getItemView} />;
};

export default GroupsDemo;

TitleView

The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatGroups } from "@cometchat/chat-uikit-react";

// Custom title view component
const customTitleView = (group: CometChat.Group) => {
   return <div className={`groups__title-view groups__title-view-${group.getType()}`}>
      <span className="groups__title-view-name">{group.getName()}</span>
      <span className="groups__title-view-type"><img src={"ICON_HERE"}/>{group.getType()}</span>
  </div>;
}

<CometChatGroups user={userObj} titleView={customTitleView} />;

SubtitleView

Custom subtitle view to be rendered for each group in the fetched list. Shown below is the default chat interface.
The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatGroups } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  const getSubtitleView = (group: CometChat.Group): JSX.Element => {
    if (!(group instanceof CometChat.Group)) {
      return <></>;
    }

    return (
      <div className="group-subtitle">
        {group.getMembersCount()} Members • {group.getDescription()}
      </div>
    );
  };

  return <CometChatGroups subtitleView={getSubtitleView} />;
};

export default GroupsDemo;

LeadingView

The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatGroups,CometChatAvatar } from "@cometchat/chat-uikit-react";

// Custom leading view component
 const customLeadingView = (group: CometChat.Group) => {
        return <>
            {group.getHasJoined() ? <div className="groups__leading-view groups__leading-view-joined">
                <CometChatAvatar
                    image={group?.getIcon()}
                    name={group?.getName()}
                />
                {/* Icon here */}
                <span className="groups__leading-view-info"> Joined</span>


            </div> : <div className="groups__leading-view">
                <CometChatAvatar
                    image={group?.getIcon()}
                    name={group?.getName()}
                />
                {/* Icon here */}
                <span className="groups__leading-view-info"> Join</span>


            </div>}</>;
    }

<CometChatGroups  leadingView={customLeadingView} />;

TrailingView

The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import {
  CometChatGroups,
} from "@cometchat/chat-uikit-react";

// Custom trailing view component
const customTrailingButtonView = (group:CometChat.Group) =>  {
return <div className="groups__trailing-view">
 {group.getHasJoined() ? "JOINED" : "+ JOIN"}
</div>
}

<CometChatGroups  trailingView={customTrailingButtonView} />;

Header View

A custom component to render in the top-right corner of the groups list. The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import { CometChatGroups } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  const getHeaderView = () => {
    return <div className="group-header-view" />;
  };

  return <CometChatGroups headerView={getHeaderView()} />;
};

export default GroupsDemo;

Options

You can set the Custom options to the Groups component. The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import { CometChatGroups, CometChatOption } from "@cometchat/chat-uikit-react";
import React from "react";

const GroupsDemo = () => {
  const getOptions = (group: CometChat.Group): CometChatOption[] => {
    return [
      new CometChatOption({
        id: "delete",
        title: "delete",
        onClick: () => {
          console.log("Custom option clicked for group:", group);
        },
      }),
    ];
  };

  return <CometChatGroups options={getOptions} />;
};

export default GroupsDemo;

Skip to main content

Overview

The Groups is a Component, showcasing an accessible list of all available groups. It provides an integral search functionality, allowing you to locate any specific groups swiftly and easily. For each group listed, the group name is displayed by default, in conjunction with the group icon when available. Additionally, it provides a useful feature by displaying the number of members in each group as a subtitle, offering valuable context about group size and activity level.
The Groups component is composed of the following BaseComponents:
ComponentsDescription
CometChatLista reusable container component having title, search box, customisable background and a List View
CometChatListItema component that renders data obtained from a Group object on a Tile having a title, subtitle, leading and trailing view

Usage

Integration

The following code snippet illustrates how you can directly incorporate the Groups component into your Application.
import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";
import { CometChatGroups } from "@cometchat/chat-uikit-angular";
import { AppComponent } from "./app.component";

@NgModule({
  imports: [BrowserModule, CometChatGroups],
  declarations: [AppComponent],
  providers: [],
  bootstrap: [AppComponent],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
})
export class AppModule {}

Actions

Actions dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.
1. onSelect
The onSelect action is activated when you select the done icon while in selection mode. This returns the group object along with the boolean flag selected to indicate if the group was selected or unselected. This action does not come with any predefined behavior. However, you have the flexibility to override this event and tailor it to suit your needs using the following code snippet.
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import { SelectionMode } from '@cometchat/uikit-resources';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  public selectionMode: SelectionMode = SelectionMode.multiple;
  public handleOnSelectGroup = (group: CometChat.Group, selected: boolean): void => {
    console.log("Custom on select action", group, selected);
  };
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}
2. onItemClick
The onItemClick event is activated when you click on the Group List item. This action does not come with any predefined behavior. However, you have the flexibility to override this event and tailor it to suit your needs using the following code snippet.
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  public handleOnItemClickGroup = (group: CometChat.Group)=> {
    console.log("your custom on item click action", group);
  };
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}
3. onError
This action doesn’t change the behavior of the component but rather listens for any errors that occur in the Groups component.
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  public handleOnError = (error: CometChat.CometChatException) => {
    console.log("your custom on error action", error);
  };
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

Filters

Filters allow you to customize the data displayed in a list within a Component. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using RequestBuilders of Chat SDK.
1. GroupsRequestBuilder
The GroupsRequestBuilder enables you to filter and customize the group list based on available parameters in GroupsRequestBuilder. This feature allows you to create more specific and targeted queries when fetching groups. The following are the parameters available in GroupsRequestBuilder
MethodsTypeDescription
setLimitnumbersets the number groups that can be fetched in a single request, suitable for pagination
setSearchKeywordStringused for fetching groups matching the passed string
joinedOnlybooleanto fetch only joined groups.
setTagsArray<String>used for fetching groups containing the passed tags
withTagsbooleanused to fetch tags data along with the list of groups
Example In the example below, we are applying a filter to the Group List based on only joined groups and setting the limit to two.
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  groupsRequestBuilder = new CometChat.GroupsRequestBuilder().setLimit(2).joinedOnly(true);
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

2. SearchRequestBuilder
The SearchRequestBuilder uses GroupsRequestBuilder enables you to filter and customize the search list based on available parameters in GroupsRequestBuilder. This feature allows you to keep uniformity between the displayed Groups List and searched Group List. Example
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  searchRequestBuilder = new CometChat.GroupsRequestBuilder().setLimit(4).setSearchKeyword("your search keyword")
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

Events

Events are emitted by a Component. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed. To handle events supported by Groups you have to add corresponding listeners by using CometChatGroupEvents The Groups component does not produce any events directly.

Customization

To fit your app’s design requirements, you can customize the appearance of the Groups component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

Style

Using Style you can customize the look and feel of the component in your app, These parameters typically control elements such as the color, size, shape, and fonts used within the component.
1. Groups Style
You can set the GroupsStyle to the Groups Component to customize the styling.
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import { GroupsStyle } from '@cometchat/uikit-shared';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  groupsStyle = new GroupsStyle({
    background: "#f7f2ff",
    titleTextColor: "#6414fa",
    searchTextColor: "#940be3",
    separatorColor: "#ffffff",
  });
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

List of properties exposed by GroupsStyle
PropertyDescriptionCode
borderUsed to set borderborder?: string,
borderRadiusUsed to set border radiusborderRadius?: string;
backgroundUsed to set background colourbackground?: string;
heightUsed to set heightheight?: string;
widthUsed to set widthwidth?: string;
titleTextFontUsed to customise the font of the title in the app bartitleTextFont?: string;
titleTextColorUsed to customise the color of the title in the app bartitleTextColor?: string;
emptyStateTextFontUsed to set the font style of the response text shown when fetchig the list of groups has returned an empty listemptyStateTextFont?: string;
emptyStateTextColorUsed to set the color of the response text shown when fetchig the list of groups has returned an empty listemptyStateTextColor?: string;
errorStateTextFontUsed to set the font style of the response text shown in case some error occurs while fetching the list of groupserrorStateTextFont?: string;
errorStateTextColorUsed to set the font style of the response text shown in case some error occurs while fetching the list of groupserrorStateTextColor?: string;
loadingIconTintUsed to set the color of the icon shown while the list of groups is being fetchedloadingIconTint?: string;
separatorColorUsed to set the color of the divider separating the group member itemsseparatorColor?: string;
boxShadowSets shadow effects around the elementboxShadow?: string;
privateGroupIconBackgroundSets background color of private group IconprivateGroupIconBackground?: string;
passwordGroupIconBackgroundSets background color of protected group IconpasswordGroupIconBackground?: string;
searchIconTintUsed to set the color of the search icon in the search boxsearchIconTint?: string;
searchBorderUsed to set the border of the search boxsearchBorder?: string;
searchBorderRadiusUsed to set the border radius of the search boxsearchBorderRadius?: string;
searchBackgroundUsed to set the background color of the search boxsearchBackground?: string;
searchPlaceholderTextFontUsed to set the font of the placeholder text in the search boxsearchPlaceholderTextFont?: string;
searchPlaceholderTextColorUsed to set the color of the placeholder text in the search boxsearchPlaceholderTextColor?: string;
searchTextFontUsed to set the font of the text in the search boxsearchTextFont?: string;
searchTextColorUsed to set the color of the text in the search boxsearchTextColor?: string;
subTitleTextFontUsed to customise the font of the subtitle text.subTitleTextFont?: string;
subTitleTextColorUsed to customise the color of the subtitle text.subTitleTextColor?: string;
2. Avatar Style
To apply customized styles to the Avatar component in the Groups Component, you can use the following code snippet. For further insights on Avatar Styles refer
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit, AvatarStyle } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  avatarStyle = new AvatarStyle({
    backgroundColor: "#cdc2ff",
    border: "2px solid #6745ff",
    borderRadius: "10px",
    outerViewBorderColor: "#ca45ff",
    outerViewBorderRadius: "5px",
    nameTextColor: "#4554ff"
  });
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

3. StatusIndicator Style
To apply customized styles to the Status Indicator component in the Groups Component, You can use the following code snippet. For further insights on Status Indicator Styles refer
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  statusIndicatorStyle: any = ({
    height: '20px',
    width: '20px',
    backgroundColor: 'red'
  });
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}
4. ListItem Style
To apply customized styles to the List Item component in the Groups Component, you can use the following code snippet. For further insights on List Item Styles refer
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit, ListItemStyle } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  listItemStyle: ListItemStyle = new ListItemStyle({
    background: "transparent",
    padding: "5px",
    border: "1px solid #e9b8f5",
    titleColor: "#8830f2",
    borderRadius: "20px",
    width: "100% !important"
  });
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import { TitleAlignment } from '@cometchat/uikit-resources';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  titleAlignment = TitleAlignment.center;
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}
Default:
Custom:
Below is a list of customizations along with corresponding code snippets:
PropertyDescriptionCode
title Used to set title in the app headingtitle="Your Custom Title"
searchPlaceholderText Used to set search placeholder textsearchPlaceholderText="Your Custom search placeholder text"
errorStateText Used to set a custom text response when some error occurs on fetching the list of groupserrorStateText="your custom error state text"
emptyStateText Used to set a custom text response when fetching the groups has returned an empty listemptyStateText="your custom empty state text"
searchIconURLUsed to set search Icon in the search fieldsearchIconURL="Your Custom search icon"
loadingIconURLUsed to set loading IconloadingIconURL="your custom loading icon url"
privateGroupIconUsed to set the private group IconprivateGroupIcon='Custom Private Group Icon'
passwordGroupIconUsed to set the protected group IconpasswordGroupIcon='Custom protected Group Icon'
hideSearchUsed to toggle visibility for search boxhideSearch={true}"
hideErrorUsed to hide error on fetching groupshideError={true}
hideSeparatorUsed to hide the divider separating the group itemshideSeparator={true}
activeGroup Used to set the active groupactiveGroup={chatGroup}
titleAlignmentAlignment of the heading text for the componenttitleAlignment={TitleAlignment.center}
selectionModeset the number of groups that can be selected, SelectionMode can be single, multiple or none.selectionMode={SelectionMode.multiple}

Advance

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

ListItemView

With this property, you can assign a custom ListItem to the Groups Component. Example Default:
Custom:
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

SubtitleView

You can customize the subtitle view for each group item to meet your requirements Default:
Custom:
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

LoadingStateView

You can set a custom loader view using loadingStateView to match the loading view of your app. Default:
Custom:
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit, LoaderStyle } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }
  getLoaderStyle: LoaderStyle = new LoaderStyle({
    iconTint: "red",
    background: "transparent",
    height: "20px",
    width: "20px",
    border: "none",
    borderRadius: "0",
  });

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

EmptyStateView

You can set a custom EmptyStateView using emptyStateView to match the empty view of your app. Default:
Custom:
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

ErrorStateView

You can set a custom ErrorStateView using errorStateView to match the error view of your app. Default:
Custom:
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

You can set the Custom Menu view to add more options to the Groups component.
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }
  handleReload(): void {
    window.location.reload();
  }
  getButtonStyle() {
    return {
      height: '20px',
      width: '20px',
      border: 'none',
      borderRadius: '0',
      background: 'transparent'
    };
  }
  getButtonIconStyle() {
    return {
      color: '#7E57C2'
    };
  }

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}

Options

You can set the Custom options to the Groups component.
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import { CometChatOption } from '@cometchat/uikit-resources';
import "@cometchat/uikit-elements";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  constructor(private themeService:CometChatThemeService) {
    themeService.theme.palette.setMode("light")
    themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
  }
  getOptions = (user: any) => {
    const customOptions = [
      new CometChatOption({
        id: "1",
        title: "Title",
        iconURL: "icon",
        backgroundColor: "red",
        onClick: () => {
          console.log("Custom option clicked for user:", user);
        },
      }),
    ];
    return customOptions;
  };

  onLogin(UID?: any) {
    CometChatUIKit.login({ uid: UID }).then(
      (user) => {
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      },
      (error) => {
        console.log("Login failed with exception:", { error });
      }
    );
  }
}